scala.util

# MurmurHash

#### object MurmurHash

An object designed to generate well-distributed non-cryptographic hashes. It is designed to hash a collection of integers; along with the integers to hash, it generates two magic streams of integers to increase the distribution of repetitive input sequences. Thus, three methods need to be called at each step (to start and to incorporate a new integer) to update the values. Only one method needs to be called to finalize the hash.

Annotations
  @deprecated
Deprecated

  (Since version 2.10.0) Use the object MurmurHash3 instead.

Source
  MurmurHash.scala

Linear Supertypes
AnyRef, Any
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. MurmurHash
2. AnyRef
3. Any

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### def arrayHash[T](a: Array[T]): Int

   Compute a high-quality hash of an array

5. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

6. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

7. #### final def eq(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

8. #### def equals(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

9. #### def extendHash(hash: Int, value: Int, magicA: Int, magicB: Int): Int

   Incorporates a new value into an existing hash.

   Incorporates a new value into an existing hash.

   hash

     the prior hash value

   value

     the new value to incorporate

   magicA

     a magic integer from the stream

   magicB

     a magic integer from a different stream

   returns

     the updated hash value

10. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

11. #### def finalizeHash(hash: Int): Int

    Once all hashes have been incorporated, this performs a final mixing

12. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

13. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

14. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

15. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

16. #### def nextMagicA(magicA: Int): Int

    Given a magic integer from the first stream, compute the next

17. #### def nextMagicB(magicB: Int): Int

    Given a magic integer from the second stream, compute the next

18. #### final def notify(): Unit

    Definition Classes
      AnyRef

19. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

20. #### def startHash(seed: Int): Int

    Begin a new hash with a seed value.

21. #### def startMagicA: Int

    The initial magic integers in the first stream.

22. #### def startMagicB: Int

    The initial magic integer in the second stream.

23. #### val storedMagicA: Array[Int]

    The first 23 magic integers from the first stream are stored here

24. #### val storedMagicB: Array[Int]

    The first 23 magic integers from the second stream are stored here

25. #### def stringHash(s: String): Int

    Compute a high-quality hash of a string

26. #### def symmetricHash[T](xs: collection.TraversableOnce[T], seed: Int): Int

    Compute a hash that is symmetric in its arguments--that is, where the order of appearance of elements does not matter.

    Compute a hash that is symmetric in its arguments--that is, where the order of appearance of elements does not matter. This is useful for hashing sets, for example.

27. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

28. #### def toString(): String

    Definition Classes
      AnyRef → Any

29. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

30. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

31. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from AnyRef

### Inherited from Any

### Ungrouped